Custom UI with three color wheels for the 3 point color balance effect
ClosedPublic

Authored by suhas2go on Aug 14 2017, 7:23 PM.

Details

Diff Detail

Repository
rPTV Pitivi
suhas2go created this revision.Aug 14 2017, 7:23 PM
suhas2go updated this revision to Diff 6256.Aug 14 2017, 7:40 PM
suhas2go edited the summary of this revision. (Show Details)

remove unnecessary file

suhas2go updated this revision to Diff 6267.Aug 15 2017, 12:31 AM

minor UI changes and less hackish looking code

suhas2go updated this revision to Diff 6364.Aug 23 2017, 1:42 PM

added the colorpicker and synchronized all color widgets

aleb requested changes to this revision.Aug 23 2017, 2:03 PM
aleb added inline comments.
pitivi/utils/custom_effect_widgets.py
29

two spaces -> one space

187

value_changed_cb, because it's a callback method.
You can add a pydoc, for example: """Handles color adjustment changes updating the wheel."""

188

changed_cb
"""Handles changes updating the color adjustments."""

203

You can put the code above in a try/finally, to make sure this is executed in case there is an error.

297

indentation

This revision now requires changes to proceed.Aug 23 2017, 2:03 PM
suhas2go updated this revision to Diff 6365.Aug 23 2017, 2:15 PM

fixed gap between wheels (because of the lables)

suhas2go marked 5 inline comments as done.Aug 23 2017, 4:32 PM

You should check why the pre commit hook didn't catch those styling issue and all the problems reported by it. (and we should not need a reviewer to do that work ever...)

aleb requested changes to this revision.Aug 27 2017, 10:02 AM

The spacing between the widgets and the container should be the same as for the UI generated automatically. Same for the alpha effect UI, even though it's less visible there.

The color picker buttons look a bit wide, can we make them square, or instruct them to not fill the space?
The "shadows"/"midtones"/"highlights" labels could stay at the top?

This revision now requires changes to proceed.Aug 27 2017, 10:02 AM
aleb added inline comments.Sep 6 2017, 2:16 PM
pitivi/utils/custom_effect_widgets.py
298

These should be refactored so the UI is updated when undo/redo is used. (We should not link the widgets directly one to another)

suhas2go updated this revision to Diff 6469.Sep 24 2017, 11:03 PM
suhas2go edited the summary of this revision. (Show Details)

Now the UI works with Undo and fixed a few other bugs while

doing this.

suhas2go marked an inline comment as done.Sep 24 2017, 11:03 PM
aleb accepted this revision.Oct 3 2017, 6:24 PM
This revision is now accepted and ready to land.Oct 3 2017, 6:24 PM
Closed by commit rPTV2bdcfa2cb9f4: Custom UI for the 3 point color balance effect (authored by Suhas Nayak <suhas2go@gmail.com>, committed by aleb). · Explain WhyOct 4 2017, 5:37 AM
This revision was automatically updated to reflect the committed changes.